Subject: Re: Opportunity to backport pch_gbe patches to stable 3.2.x

From: Ben Hutchings <[email-masked]>
Date: Wed, 19 Sep 2012 21:49:05 +0100

On Wed, Sep 19, 2012 at 08:41:38PM +0200, Erwan Velu wrote:
> Hi there,
> 
> I'm using on a daily use and in production 3.2.x kernels (.29 currently) on a Kontron Nano-etx board that features the pch_gbe network driver.
> 
> I've been experiencing lots of troubles on this kernel series but since I've backported the following commits back to my 3.2.x, it works far better.
> 
> So from the history of next the following commits apply perfectly and runs very well.
> 
> I do think that other users of pch_gbe will appreciate this.
> 
> 1a0bdadb4e36abac63b0a9787f372aac30c11a9e
[...]

This first one is adding support for an extra hardware feature, which
is not suitable material for stable.  Please pick out only the
important bug fixes, per Documentation/stable_kernel_rules.txt.

If you want the driver to be completely backported, look at the
compat-drivers project
<https://backports.wiki.kernel.org/index.php/Documentation/compat-drivers>
or distribution kernels instead of stable.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus